<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">

<hibernate-mapping default-lazy="false" auto-import="false">
    <class name="gov.va.med.cds.template.generated.vitalsigns.VitalSignQualifier" entity-name="VitalSignQualifier" table="QUALIFIER_V" >
        <id type="java.lang.Long" name="id">
            <column name="QUALIFIER_ID"/>
            <generator class="sequence" >
				<param name="sequence">qualifier_seq_id</param>
			</generator>
        </id>
        
        <component name="value" class="gov.va.med.cds.template.generated.basedatatypes.HL72CodedElementLite">
			<property name="code" column="QUALIFIER_CODE" type="java.lang.String" />
			<property name="displayText" column="QUALIFIER_DSPLYTXT" type="java.lang.String" />
			<property name="codingSystem" column="QUALIFIER_CODSYS" type="java.lang.String" />
		</component>
    </class>
    
    <class name="gov.va.med.cds.template.generated.vitalsigns.VitalSignQualifier" entity-name="VitalSignQualifierVW" table="QUALIFIER_V"  >
        <id type="java.lang.Long" name="id">
            <column name="QUALIFIER_ID"/>
            <generator class="sequence" >
				<param name="sequence">qualifier_seq_id</param>
			</generator>
        </id>

        <component name="value" class="gov.va.med.cds.template.generated.basedatatypes.HL72CodedElementLite">
			<property name="displayText" column="QUALIFIER_DSPLYTXT" type="java.lang.String" />
		</component>
    </class>
   
     <class name="gov.va.med.cds.template.generated.vitalsigns.VitalSignQualifier" entity-name="VitalSignQualifierMHV" table="QUALIFIER_V"  >
        <id type="java.lang.Long" name="id" >
            <column name="QUALIFIER_ID"/>
            <generator class="sequence" >
				<param name="sequence">qualifier_seq_id</param>
			</generator>
        </id>

        <component name="value" class="gov.va.med.cds.template.generated.basedatatypes.HL72CodedElementLite">
			<property name="displayText" column="QUALIFIER_DSPLYTXT" type="java.lang.String" />
		</component>
    </class>
        
</hibernate-mapping>
